##  for PCLinuxOS  ##

%global unicodedir %{_datadir}/unicode
%global emojidir %{unicodedir}/emoji

Name:    unicode-emoji
Summary: Unicode Emoji Data Files
Version: 14.0
Release: 1.nora22
Group:   System/Internationalization
License: Unicode
URL:     https://www.unicode.org/emoji/

Source0: https://www.unicode.org/copyright.html#/copyright-%{version}.html
Source1: https://www.unicode.org/Public/emoji/%{version}/ReadMe.txt#/ReadMe-%{version}.txt
Source2: https://www.unicode.org/Public/emoji/%{version}/emoji-sequences.txt#/emoji-sequences-%{version}.txt
Source3: https://www.unicode.org/Public/emoji/%{version}/emoji-test.txt#/emoji-test-%{version}.txt
Source4: https://www.unicode.org/Public/emoji/%{version}/emoji-zwj-sequences.txt#/emoji-zwj-sequences-%{version}.txt

BuildArch: noarch

%description
Unicode Emoji Data Files are the machine-readable emoji data files associated with
http://www.unicode.org/reports/tr51/index.html


%prep
%{nil}

%build
%{nil}


%install
cp -p %{SOURCE0} copyright.html
mkdir -p %{buildroot}%{emojidir}
cp -p %{SOURCE1} %{buildroot}%{emojidir}/ReadMe.txt
cp -p %{SOURCE2} %{buildroot}%{emojidir}/emoji-sequences.txt
cp -p %{SOURCE3} %{buildroot}%{emojidir}/emoji-test.txt
cp -p %{SOURCE4} %{buildroot}%{emojidir}/emoji-zwj-sequences.txt


%files
%doc copyright.html
%dir %{unicodedir}
%dir %{emojidir}
%{emojidir}/ReadMe.txt
%{emojidir}/emoji-*txt


%changelog
* Tue Mar 15 2022 tomcat <> 14.0-1.nora22
- 14.0
- fix URL

* Mon Mar 08 2021 tomcat <> 13.0-1.nora21
- import from Mageia 8
